• Русский
  • MGR User

    Description
    MysqlUser is the Schema for the mysqlusers API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    MysqlUserSpec defines the desired state of MysqlUser

    statusobject

    MysqlUserStatus defines the observed state of MysqlUser

    .spec

    Description
    MysqlUserSpec defines the desired state of MysqlUser
    Type
    object
    Required
    hostmysqluser
    PropertyTypeDescription
    hoststring

    Host is the host of the MySQL User

    mysqlstring

    Mysql is the name of the MySQL Cluster

    privilegesarray

    Privileges is the list of MySQL Privileges

    secretNamestring

    SecretName is the name of the Secret for the MySQL User Password

    userstring

    INSERT ADDITIONAL SPEC FIELDS - desired state of cluster Important: Run "make" to regenerate code after modifying this file User is the name of the MySQL User

    .spec.privileges

    Description
    Privileges is the list of MySQL Privileges
    Type
    array

    .spec.privileges[]

    Description
    Privilege defines the desired mysql Privilege
    Type
    object
    PropertyTypeDescription
    grantsarray

    Grants is the list of grants for the user

    targetsarray

    Targets is the list target of MySQL Databases or Tables

    .spec.privileges[].grants

    Description
    Grants is the list of grants for the user
    Type
    array

    .spec.privileges[].grants[]

    Type
    string

    .spec.privileges[].targets

    Description
    Targets is the list target of MySQL Databases or Tables
    Type
    array

    .spec.privileges[].targets[]

    Type
    string

    .status

    Description
    MysqlUserStatus defines the observed state of MysqlUser
    Type
    object
    PropertyTypeDescription
    lastSyncTimestring

    LastSyncTime is the last time the MySQL User sync

    reasonstring

    Reason is the reason of the MySQL User sync failed

    secretRefobject

    SecretRef is the reference of the Secret for the MySQL User Password

    statestring

    State is the state of the MySQL User sync

    .status.secretRef

    Description
    SecretRef is the reference of the Secret for the MySQL User Password
    Type
    object
    PropertyTypeDescription
    namestring
    namespacestring

    API Endpoints

    The following API endpoints are available:

    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/mysqlusers
      • DELETE: delete collection of MysqlUser
      • GET: list objects of kind MysqlUser
      • POST: create a new MysqlUser
    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/mysqlusers/{name}
      • DELETE: delete the specified MysqlUser
      • GET: read the specified MysqlUser
      • PATCH: partially update the specified MysqlUser
      • PUT: replace the specified MysqlUser
    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/mysqlusers/{name}/status
      • GET: read status of the specified MysqlUser
      • PATCH: partially update status of the specified MysqlUser
      • PUT: replace status of the specified MysqlUser

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/mysqlusers

    HTTP method
    DELETE
    Description
    delete collection of MysqlUser
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind MysqlUser
    HTTP responses
    HTTP codeResponse body
    200 - OKMysqlUserList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new MysqlUser
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMysqlUser schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMysqlUser schema
    201 - CreatedMysqlUser schema
    202 - AcceptedMysqlUser schema
    401 - UnauthorizedEmpty

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/mysqlusers/{name}

    HTTP method
    DELETE
    Description
    delete the specified MysqlUser
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified MysqlUser
    HTTP responses
    HTTP codeResponse body
    200 - OKMysqlUser schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified MysqlUser
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKMysqlUser schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified MysqlUser
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMysqlUser schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMysqlUser schema
    201 - CreatedMysqlUser schema
    401 - UnauthorizedEmpty

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/mysqlusers/{name}/status

    HTTP method
    GET
    Description
    read status of the specified MysqlUser
    HTTP responses
    HTTP codeResponse body
    200 - OKMysqlUser schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified MysqlUser
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKMysqlUser schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified MysqlUser
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMysqlUser schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMysqlUser schema
    201 - CreatedMysqlUser schema
    401 - UnauthorizedEmpty